import Vue from 'vue'
import App from './App.vue'

import BootstrapVue from 'bootstrap-vue'
import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-vue/dist/bootstrap-vue.css'

import { VBPopover } from 'bootstrap-vue/es/directives'

import { BLink } from 'bootstrap-vue'
Vue.component('b-link', BLink)

import VueRouter from 'vue-router'
// Note: Vue automatically prefixes the directive name with 'v-'
Vue.directive('b-popover', VBPopover)

import SplashPage from './components/SplashPage'
import AboutPage from './components/AboutPage'
import EditorNote from './components/EditorNote'
import leekpilaf from './components/leekpilaf'
import eggs from './components/eggs'
import breakfast from './components/breakfast'
import pesto from './components/pesto'
import bbq from './components/bbq'
import cake from './components/cake'
import cart from './components/cart'
import noodles from './components/noodles'
import onion from './components/onion'
import pretzel from './components/pretzel'
import recipe from './components/recipe'
import ricecooker from './components/ricecooker'
import scooter from './components/scooter'
Vue.config.productionTip = false

Vue.use(BootstrapVue)
Vue.use(VueRouter)

const router = new VueRouter({
  mode: 'history',
  routes: [
    { path: '/', component: SplashPage },
    { path: '/about', component: AboutPage },
    { path: '/editornote', component: EditorNote },
    { path: '/leekpilaf', component: leekpilaf },
    { path: '/breakfast', component: breakfast },
    { path: '/pesto', component: pesto },
    { path: '/bbq', component: bbq },
    { path: '/cake', component: cake },
    { path: '/cart', component: cart },
    { path: '/noodles', component: noodles },
    { path: '/onion', component: onion },
    { path: '/pretzel', component: pretzel },
    { path: '/recipe', component: recipe },
    { path: '/ricecooker', component: ricecooker },
    { path: '/scooter', component: scooter },
    { path: '/eggs', component: eggs },

  ]

})

new Vue({
  router,
  render: h => h(App),
}).$mount('#app')
